Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 301593004: Athena unittests framework (Closed)

Created:
5 years, 1 month ago by oshima
Modified:
4 years, 10 months ago
CC:
chromium-reviews, tfarina
Visibility:
Public.

Description

Patch Set 1 : #

Total comments: 1

Patch Set 2 : #

Total comments: 1

Patch Set 3 : fix deps #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+379 lines, -84 lines) Patch
M athena/athena.gyp View 1 chunk +39 lines, -0 lines 0 comments Download
M athena/main/DEPS View 1 2 1 chunk +6 lines, -4 lines 0 comments Download
A athena/main/athena_launcher.h View 1 chunk +20 lines, -0 lines 0 comments Download
A athena/main/athena_launcher.cc View 1 1 chunk +53 lines, -0 lines 0 comments Download
M athena/main/athena_main.cc View 1 2 chunks +5 lines, -23 lines 0 comments Download
M athena/main/athena_main.gyp View 1 chunk +2 lines, -0 lines 0 comments Download
A + athena/test/DEPS View 1 chunk +3 lines, -3 lines 0 comments Download
A athena/test/athena_test_base.h View 1 chunk +49 lines, -0 lines 0 comments Download
A athena/test/athena_test_base.cc View 1 chunk +54 lines, -0 lines 0 comments Download
A athena/test/athena_test_helper.h View 1 chunk +76 lines, -0 lines 0 comments Download
A + athena/test/athena_test_helper.cc View 1 3 chunks +40 lines, -41 lines 0 comments Download
A + athena/test/athena_unittests.cc View 1 chunk +14 lines, -13 lines 2 comments Download
M athena/wm/DEPS View 1 chunk +6 lines, -0 lines 0 comments Download
A athena/wm/window_manager_unittest.cc View 1 chunk +12 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
oshima
5 years, 1 month ago (2014-05-27 19:55:07 UTC) #1
Albert Bodenhamer
https://codereview.chromium.org/301593004/diff/170001/athena/test/athena_test_helper.cc File athena/test/athena_test_helper.cc (right): https://codereview.chromium.org/301593004/diff/170001/athena/test/athena_test_helper.cc#newcode8 athena/test/athena_test_helper.cc:8: #include "athena/main/placeholder.h" I'm a bit concerned that we're adding ...
5 years, 1 month ago (2014-05-27 23:13:37 UTC) #2
oshima
On 2014/05/27 23:13:37, Albert Bodenhamer wrote: > https://codereview.chromium.org/301593004/diff/170001/athena/test/athena_test_helper.cc > File athena/test/athena_test_helper.cc (right): > > https://codereview.chromium.org/301593004/diff/170001/athena/test/athena_test_helper.cc#newcode8 ...
5 years, 1 month ago (2014-05-27 23:25:55 UTC) #3
Albert Bodenhamer
lgtm
5 years, 1 month ago (2014-05-27 23:57:38 UTC) #4
oshima
ben can you approve new athena/test/DEPS file?
5 years, 1 month ago (2014-05-28 00:16:38 UTC) #5
sadrul
lgtm https://codereview.chromium.org/301593004/diff/200001/athena/athena.gyp File athena/athena.gyp (right): https://codereview.chromium.org/301593004/diff/200001/athena/athena.gyp#newcode54 athena/athena.gyp:54: 'main/athena_launcher.h', Perhaps these could move into athena_lib?
5 years, 1 month ago (2014-05-28 02:09:28 UTC) #6
Ben Goodger (Google)
lgtm
5 years, 1 month ago (2014-05-28 15:27:33 UTC) #7
oshima
On 2014/05/28 02:09:28, sadrul wrote: > lgtm > > https://codereview.chromium.org/301593004/diff/200001/athena/athena.gyp > File athena/athena.gyp (right): > ...
5 years, 1 month ago (2014-05-28 18:22:23 UTC) #8
oshima
The CQ bit was checked by oshima@chromium.org
5 years, 1 month ago (2014-05-28 18:22:26 UTC) #9
oshima
The CQ bit was unchecked by oshima@chromium.org
5 years, 1 month ago (2014-05-28 18:22:30 UTC) #10
oshima
The CQ bit was checked by oshima@chromium.org
5 years, 1 month ago (2014-05-28 18:23:36 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/oshima@chromium.org/301593004/200001
5 years, 1 month ago (2014-05-28 18:23:59 UTC) #12
oshima
Committed patchset #3 manually as r273378 (presubmit successful).
5 years, 1 month ago (2014-05-28 22:36:07 UTC) #13
tfarina
https://codereview.chromium.org/301593004/diff/230001/athena/test/athena_unittests.cc File athena/test/athena_unittests.cc (right): https://codereview.chromium.org/301593004/diff/230001/athena/test/athena_unittests.cc#newcode32 athena/test/athena_unittests.cc:32: ui::ResourceBundle::InitSharedInstanceWithLocale("en-US", NULL); Do you plan to provide your own ...
5 years, 1 month ago (2014-05-29 02:17:16 UTC) #14
tfarina
4 years, 10 months ago (2014-09-01 16:47:34 UTC) #15
Message was sent while issue was closed.
https://codereview.chromium.org/301593004/diff/230001/athena/test/athena_unit...
File athena/test/athena_unittests.cc (right):

https://codereview.chromium.org/301593004/diff/230001/athena/test/athena_unit...
athena/test/athena_unittests.cc:27: gfx::RegisterPathProvider();
did you need this? if yes, what was the error you get?

It only registers DIR_TEST_DATA.

cs.chromium.org shows you don't call gfx::DIR_TEST_DATA.

https://code.google.com/p/chromium/codesearch#search/&q=gfx::DIR_TEST_DATA&sq...

Powered by Google App Engine
This is Rietveld 408576698